Name: x11-driver-input-void
Version: 1.4.2
Release: %mkrel 2
Summary: X.org null input driver
Group: System/X11
URL: https://xorg.freedesktop.org
Source: https://xorg.freedesktop.org/releases/individual/driver/xf86-input-void-%{version}.tar.xz
License: MIT
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: pkgconfig(xorg-server) >= 1.0.1
BuildRequires: x11-util-macros >= 1.0.1
Conflicts: xorg-x11-server < 7.0

Requires: x11-server-common %(xserver-sdk-abi-requires xinput)

%description
Void is a dummy/null X.org input driver.
It doesn't connect to any physical device, and it never delivers any events.
It functions as both a pointer and keyboard device, and may be used as X
server's core pointer and/or core keyboard.
It's purpose is to allow the X server to operate without a core pointer
and/or core keyboard.

%prep
%setup -q -n xf86-input-void-%{version}

%build
%configure
%make_build

%install
%make_install

%files
%doc COPYING
%{_libdir}/xorg/modules/input/void_drv.so
%{_mandir}/man4/void.*




%changelog
* Sat Jun 28 2025 umeabot <umeabot> 1.4.2-2.mga10
+ Revision: 2216419
- Mageia 10 Mass Rebuild

* Wed Nov 16 2022 luigiwalser <luigiwalser> 1.4.2-1.mga9
+ Revision: 1908067
- 1.4.2

* Fri Apr 01 2022 umeabot <umeabot> 1.4.1-11.mga9
+ Revision: 1838341
- Mageia 9 Mass Rebuild

* Wed Mar 09 2022 mrambo3501 <mrambo3501> 1.4.1-10.mga9
+ Revision: 1790041
- fix files list
+ danf <danf>
- Switch URLs from http: to https:

* Fri Feb 14 2020 umeabot <umeabot> 1.4.1-9.mga8
+ Revision: 1518471
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 1.4.1-8.mga7
+ Revision: 1301743
- Mageia 7 Mass Rebuild

* Fri Mar 09 2018 tv <tv> 1.4.1-7.mga7
+ Revision: 1207701
- rebuild for xserver 1.20 RC1

* Thu Nov 17 2016 tv <tv> 1.4.1-6.mga6
+ Revision: 1067715
- rebuild for xserver 1.19

* Sat Jul 23 2016 tmb <tmb> 1.4.1-5.mga6
+ Revision: 1043347
- rebuild for xorg-server 1.18.4

* Wed Feb 17 2016 umeabot <umeabot> 1.4.1-4.mga6
+ Revision: 963362
- Mageia 6 Mass Rebuild

* Wed Nov 11 2015 tv <tv> 1.4.1-3.mga6
+ Revision: 902285
- submit to core/release

* Wed Nov 11 2015 tv <tv> 1.4.1-2.mga6
+ Revision: 902045
- rebuild for new xserver

* Sun Jun 21 2015 tv <tv> 1.4.1-1.mga6
+ Revision: 837653
- new release

* Sat Jun 20 2015 tv <tv> 1.4.0-17.mga6
+ Revision: 836001
- rebuild for xserver 1.17

* Wed Oct 15 2014 umeabot <umeabot> 1.4.0-16.mga5
+ Revision: 738908
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.4.0-15.mga5
+ Revision: 690415
- Mageia 5 Mass Rebuild

* Mon Jun 09 2014 tv <tv> 1.4.0-14.mga5
+ Revision: 635005
- submit to core/release

* Fri Jun 06 2014 tv <tv> 1.4.0-13.mga5
+ Revision: 633661
- rebuild for new xserver RC

* Tue Apr 15 2014 tv <tv> 1.4.0-12.mga5
+ Revision: 614349
- rebuild for new xserver

* Tue Feb 04 2014 tv <tv> 1.4.0-11.mga5
+ Revision: 582303
- rebuild for new xserver

* Sat Oct 19 2013 umeabot <umeabot> 1.4.0-10.mga4
+ Revision: 525424
- Mageia 4 Mass Rebuild

* Thu May 30 2013 tv <tv> 1.4.0-9.mga4
+ Revision: 433140
- submit to core/release

* Mon Jan 14 2013 umeabot <umeabot> 1.4.0-8.mga4
+ Revision: 385967
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Sep 07 2012 tv <tv> 1.4.0-7.mga3
+ Revision: 289369
- rebuild for new xserver
- rebuild for new xserver

* Wed Jun 06 2012 tmb <tmb> 1.4.0-6.mga3
+ Revision: 256348
- rebuild for core/release

* Fri Jun 01 2012 tv <tv> 1.4.0-5.mga3
+ Revision: 252997
- rebuild b/c of ia32 failure

* Wed May 30 2012 tv <tv> 1.4.0-4.mga3.nonfree
+ Revision: 250209
- rebuild for new X.org server

* Tue Dec 06 2011 tmb <tmb> 1.4.0-3.mga2
+ Revision: 177525
- submit to core/release

* Sat Oct 08 2011 tv <tv> 1.4.0-2.mga2
+ Revision: 153106
- rebuild for xserver-1.11

* Wed May 11 2011 tmb <tmb> 1.4.0-1.mga1
+ Revision: 97311
- new release (officially xserver-1.10 compatible)

* Sat Mar 05 2011 tmb <tmb> 1.3.1-3.mga1
+ Revision: 64704
- fix build with x11-server-1.10
+ tv <tv>
- rebuild for new xserver-1.10

* Fri Feb 11 2011 tmb <tmb> 1.3.1-2.mga1
+ Revision: 50168
- imported package x11-driver-input-void


* Wed Nov 10 2010 Thierry Vignaud <tv@mandriva.org> 1.3.1-2mdv2011.0
+ Revision: 595750
- require xorg server with proper ABI

* Tue Nov 02 2010 Thierry Vignaud <tv@mandriva.org> 1.3.1-1mdv2011.0
+ Revision: 591823
- new release

* Sun Oct 10 2010 Thierry Vignaud <tv@mandriva.org> 1.3.0-2mdv2011.0
+ Revision: 584626
- bump release before rebuilding for xserver 1.9

* Tue Nov 10 2009 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 1.3.0-1mdv2010.1
+ Revision: 464263
- New version: 1.3.0

* Thu Feb 26 2009 Thierry Vignaud <tv@mandriva.org> 1.2.0-1mdv2009.1
+ Revision: 345051
- new release
- fix group

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 1.1.1-5mdv2009.0
+ Revision: 225950
- rebuild

* Wed Jan 30 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.1.1-4mdv2008.1
+ Revision: 160499
- Revert to use only upstream tarballs and only mandatory patches.

* Tue Jan 22 2008 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.1.1-3mdv2008.1
+ Revision: 156594
- re-enable rpm debug packages support

* Fri Jan 18 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.1.1-2mdv2008.1
+ Revision: 154898
- Updated BuildRequires and resubmit package.
- Remove -devel package as it isn't really required as it provides only 2 files
  that aren't even header files; still don't install the .la files.
  All dependency files should be stored in the x11-util-modular package as they
  are only required for the "modular" build.
- Move .la files to new -devel package, and also add .deps files to -devel package.
- Another easy one. There is already a tag named xf86-input-void-1.1.1, and
  it matches git master at the time of creation of the mandriva branch, so,
  just updating spec documentation.
- Update for new policy of hidden symbols and common macros.

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Oct 11 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.1.1-1mdv2008.1
+ Revision: 97068
- new upstream version: 1.1.1
- minor spec cleanup

* Thu Aug 30 2007 Oden Eriksson <oeriksson@mandriva.com> 1.1.0-3mdv2008.0
+ Revision: 75714
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - fix man pages


* Wed May 31 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-31 18:32:34 (31796)
- rebuild to fix cooker uploading

* Tue May 30 2006 Thierry Vignaud <tvignaud@mandriva.com>
+ 2006-05-30 16:03:02 (31708)
- fill in summary & descriptions for all input drivers

* Mon May 29 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-05-29 14:36:37 (31646)
- renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

* Thu May 25 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-25 19:59:30 (31594)
- Updated drivers for X11R7.1

* Thu May 04 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-04 21:25:17 (26918)
- increment release

* Thu Apr 27 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-04-27 04:02:05 (26704)
- Adding X.org 7.0 to the repository

